<!-- Modal -->
<div mat-dialog-content>
    <div class="product-image-content">
        <!-- [TODO] File upload -->
        <div class="product-image">
            <app-upload [previewUrl]="productImage" (fileUpload)="fileUploaded($event)"></app-upload>
        </div>
        <p class="product-image-hint">Subir imagen del producto</p>
    </div>
    <div class="product-info-content">

        <div mat-dialog-title>
            <h1>{{ editMode ? 'Editar producto' : 'Crear producto' }}</h1>
            <button (click)="close()" mat-icon-button aria-label="Close project dialog">
                <mat-icon>close</mat-icon>
            </button>
        </div>

        <form [formGroup]="form" (ngSubmit)="onSubmit()" id="create-product-form">

            <!-- StoreID -->
            <z2h-input [label]="'StoreID'" formControlName="storeId"></z2h-input>
    

            <!-- Name -->
            <z2h-input [label]="'Nombre'" formControlName="name"></z2h-input>


            <!-- Tipo -->
            <z2h-input [label]="'Tipo'" formControlName="type"></z2h-input>


            <!-- Marca -->
            <mat-form-field appearance="fill" id="brand-form-field">
                <mat-label>Marca</mat-label>
                <mat-select placeholder="Marca" formControlName="brand">
                    <mat-option *ngFor="let brandOpt of Brands | enumToArray" [value]="brandOpt.key">
                        {{brandOpt.key}}
                    </mat-option>
                </mat-select>
            </mat-form-field>


            <ng-container formGroupName="macros">

                <!-- Masa -->
                <z2h-input [label]="'Masa'" formControlName="mass" type="number"></z2h-input>
     
                <!-- Unidades -->
                <z2h-input [label]="'Unidades'" formControlName="massUnit"></z2h-input>

                <!-- Calorias -->
                <z2h-input [label]="'Calorias'" formControlName="calories" type="number"></z2h-input>
   
                <!-- Grasas -->
                <z2h-input [label]="'Grasas'" formControlName="fats" type="number"></z2h-input>

                <!-- Hidratos -->
                <z2h-input [label]="'Hidratos'" formControlName="hc" type="number"></z2h-input>

                <!-- Proteinas -->
                <z2h-input [label]="'Proteinas'" formControlName="proteins" type="number"></z2h-input>
    
            </ng-container>

        </form>
        <div mat-dialog-actions>
            <button mat-flat-button color="accent" type="submit" [disabled]="!form.valid" form="create-product-form"
                cdkFocusInitial>{{ (editMode ? 'actions.edit' : 'actions.create') | translate}}</button>
        </div>
    </div>

</div>